Subject: bug#65902: 29.0.92; emacsclient-mail.desktop fails due to complicated escaping

From: Eli Zaretskii <[email-masked]>
Date: Fri, 15 Sep 2023 08:33:32 +0300

> Date: Thu, 14 Sep 2023 12:16:17 -0700
> Cc: [email-masked], [email-masked]
> From: Jim Porter <[email-masked]>
> 
> [1] This is also an example of how the problem isn't *just* with desktop 
> files, since MS-Windows doesn't use those; instead, you have to set some 
> registry keys. Otherwise, the problems are pretty similar to desktop 
> files though.

No, it isn't: on Windows you configure all kinds of desktop shortcuts
to invoke Emacs or emacsclient, and those shortcuts allow you to
include %x style parameters inside quotes.  In addition, there's no
need to use the "sh -c COMMAND" style of invoking commands.  So most
of the quoting issues mentioned here as the main reason for the change
don't arise at all.

But my problem is not with solving the Windows case, so let's drop
this tangent.